############################################################
#
# lzmatools
#
#############################################################
LZMATOOLS_SITE=http://www.zelow.no/floppyfw/download/Development/lzma/
LZMATOOLS_SOURCE=lzmatool-0.11.tgz
LZMATOOLS_DIR:=$(BUILD_DIR)/lzmatool-0.11
LZMATOOLS_CAT:=zcat

$(DL_DIR)/$(LZMATOOLS_SOURCE):
	 $(WGET) -P $(DL_DIR) $(LZMATOOLS_SITE)/$(LZMATOOLS_SOURCE)

lzmatools-source: $(DL_DIR)/$(LZMATOOLS_SOURCE)

$(LZMATOOLS_DIR)/.unpacked: $(DL_DIR)/$(LZMATOOLS_SOURCE)
	$(LZMATOOLS_CAT) $(DL_DIR)/$(LZMATOOLS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(LZMATOOLS_DIR)/.unpacked

$(LZMATOOLS_DIR)/SRC: $(LZMATOOLS_DIR)/.unpacked
	ln -sf $(LZMA_SDK_DIR)/SRC $(LZMATOOLS_DIR)/SRC

$(LZMATOOLS_DIR)/lzmacomp: $(LZMATOOLS_DIR)/SRC
	$(MAKE) $(TARGET_CONFIGURE_OPTS) -C $(LZMATOOLS_DIR) lib
	$(MAKE) $(TARGET_CONFIGURE_OPTS) CFLAGS="$(TARGET_CFLAGS)" \
		-C $(LZMATOOLS_DIR)

$(TARGET_DIR)/usr/bin/lzmacomp: $(LZMATOOLS_DIR)/lzmacomp
	cp $(LZMATOOLS_DIR)/lzmacomp $(TARGET_DIR)/usr/bin/lzmacomp
	cp $(LZMATOOLS_DIR)/lzmacat $(TARGET_DIR)/usr/bin/lzmacat

lzmatools: lzma-sdk $(TARGET_DIR)/usr/bin/lzmacomp

lzmatools-clean:
	$(MAKE) -C $(LZMATOOLS_DIR) clean

lzmatools-dirclean:
	rm -rf $(LZMATOOLS_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LZMATOOLS)),y)
TARGETS+=lzmatools
endif
